Introduction to GAIL

The GAIL package contains the GNOME Accessibility Implementation Libraries.

Package Information

GAIL Dependencies





User Notes:

Installation of GAIL



The instructions below are based on installing the package into a GNOME-2 environment. If, for whatever reason, you're installing this package without having ORBit2 and the core GNOME-2 libraries installed, you'll need to modify the --prefix= parameter on the configure script to point to your desired installation path (e.g., --prefix=/usr).

Install GAIL by running the following commands:

./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) &&

This package does not come with a test suite.

Now, as the root user:

make install

GTK+ will look for the GAIL modules in /usr/lib even if $GNOME_PREFIX is NOT /usr. If $GNOME_PREFIX is anything other than /usr, create a symlink to $GNOME_PREFIX to satisfy this requirement:

ln -v -s $(pkg-config --variable=prefix ORBit-2.0)/lib/gtk-2.0/modules \

Command Explanations

--prefix=$(pkg-config --variable=prefix ORBit-2.0): Setting the prefix using this parameter instead of with $GNOME_PREFIX will ensure that the prefix is consistent with the installation environment and the package will be installed in the correct location.

--enable-gtk-doc: Use this parameter if GTK-Doc is installed and you wish to rebuild the API documentation.


Installed Programs: None
Installed Libraries: and GAIL GTK+ modules
Installed Directories: The following subdirectories of $GNOME_PREFIX/: include/gail-1.0, lib/gtk-2.0/modules and share/gtk-doc/html/gail-libgail-util

Short Descriptions

provides the functions that solve accessibility problems in a consistent manner across GNOME.

Last updated on 2006-06-25 16:31:03 -0500